Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core
Class SVNRevisionProperty

    java.lang.Object
      org.tmatesoft.svn.core.SVNRevisionProperty

public class SVNRevisionProperty
extends Object

The SVNRevisionProperty class represents revision properties - those unversioned properties supported by Subversion.

Revision properties are unversioned, so there is always a risk to lose information when modifying revision property values.

Version:
  1.0
Author:
  TMate Software Ltd.

Field Summary
`static String` | `AUTHOR` An "svn:author" revision property (that holds the name of the revision's author)
`static String` | `AUTOVERSIONED`
`static String` | `DATE` An "svn:date" revision property that is a date & time stamp representing the time when the revision was created
`static String` | `LOG` An "svn:log" revision property - the one that stores a log message attached to a revision during a commit operation
`static String` | `ORIGINAL_DATE`

Constructor Summary
`SVNRevisionProperty()`

Method Summary
`static boolean` | `isRevisionProperty(String name)` Says if the given revision property name is really a valid revision property name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTHOR

    public static final String AUTHOR

  An "svn:author" revision property (that holds the name of the revision's author)

  See Also:
    Constant Field Values

### LOG

    public static final String LOG

  An "svn:log" revision property - the one that stores a log message attached to a revision during a commit operation

  See Also:
    Constant Field Values

### DATE

    public static final String DATE

  An "svn:date" revision property that is a date & time stamp representing the time when the revision was created

  See Also:
    Constant Field Values

### AUTOVERSIONED

    public static final String AUTOVERSIONED

See Also:
  Constant Field Values

### ORIGINAL_DATE

    public static final String ORIGINAL_DATE

See Also:
  Constant Field Values

Constructor Detail

### SVNRevisionProperty

    public SVNRevisionProperty()

Method Detail

### isRevisionProperty

    public static boolean isRevisionProperty(String name)

  Says if the given revision property name is really a valid revision property name.

  Parameters:
    `name` - a property name
  Returns:
    true if it's a revision property name, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.